function setActiveStyleSheet(title) {
	if (title == "") { title = prompt("Enter location of external stylesheet", ""); }
	createCookie("stylesheet",title,365);
	self.location = self.location;
}

function toggleCookie(name) {
	if (readCookie(name) == "false") {
		createCookie(name,"true",365);
		if ( document.getElementById(name + "cookie") ) { document.getElementById(name + "cookie").style.textDecoration = "none"; }
		} else {
		createCookie(name,"false",365);
		if ( document.getElementById(name + "cookie") ) { document.getElementById(name + "cookie").style.textDecoration = "line-through"; }
		}
	self.location = self.location;
}

function createCookie(name,value,days) {
  if (days) {
    var date = new Date();
    date.setTime(date.getTime()+(days*24*60*60*1000));
    var expires = "; expires="+date.toGMTString();
  }
  else expires = "";
  document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
  var nameEQ = name + "=";
  var ca = document.cookie.split(';');
  for(var i=0;i < ca.length;i++) {
    var c = ca[i];
    while (c.charAt(0)==' ') c = c.substring(1,c.length);
    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
  }
  return null;
}